Home Addons Support

Help! I need somebody, not just anybody...

Frequently Asked Questions

Where do I find ProtocolSupport for an older version?

Please refer to this page for information on unsupported versions.

How do I block users using specific versions of the game?

You can use the BlockVersion Addon for this.

Can I support this project financially?

While the project itself does not have a foundation, you can help Shevchik (the project owner) with his bills by donating directly via PayPal. If you're on the Discord server, don't forget to let him know you donated - you'll get a donator role!

Why hasn't the MCPE branch been updated?

MCPE support has been put on hold pending the introduction of server-side inventories to MCPE, which is currently slated for MCPE 1.2. It has not been abandoned.

Are you planning to support BungeeCord?

Yes!

At present, if you only need to support users playing 1.8 or later, you do not need a plugin. If you want to support 1.7 as well, you should try HexaCord.

For anything older than that, you'll need a Bungee plugin. We are currently working on one - but it's in the very early stages, and we don't recommend it for anything but testing at the moment.

Are you planning to ever release a stable version of ProtocolSupport for older versions of Spigot/Glowstone?

No.

Why not?

There are a multitude of reasons for only supporting the latest version of the server:

  • We are a small team and do not have time to maintain multiple versions
  • Old versions are unsupported by Mojang and may contain bugs, exploits and other security issues
  • The point of ProtocolSupport is that it allows you to keep your server up to date - supporting old servers doesn't make any sense
Can I pay you to produce a stable version of ProtocolSupport for an older version of Minecraft?

No. Absolutely not.

What's the secret phrase?

I have tried the porkaxe method, and it didn't help.

When will the next update be out?

Soon™

Will any of these answers be different if I ask you directly?

No.

How To Get Support

If you've read the FAQ and can't find a solution to your problem, you have two options. If you have a bug report, please head to GitHub and create an issue there. Otherwise, feel free to join our Discord server for some direct support.

Before you do this, please ensure the following:

  • You are using the latest version of both Spigot/Glowstone and ProtocolSupport
    • We do not provide support for old versions of ProtocolSupport - Not even if you ask nicely
  • You can replicate your problem with no other plugins, or only a set of specific plugins
    • Try to narrow down the problem as much as possible

Failure to follow the above will (at the very least) result in a delay in finding a solution to your problem.

Remember, if you're going to ask for support on Discord: please use the #support channel and include the secret phrase with your clearly-worded question.